Mailinglist Archive: yast-devel (144 mails)

< Previous Next >
Re: [yast-devel] Yast2 sw_single crashing on startup in 10.3 (zypp:svn Repository)
  • From: Gryffus <gryffus@xxxxxxxxxx>
  • Date: Wed, 20 Feb 2008 14:52:24 +0100
  • Message-id: <47BC3098.8090408@xxxxxxxxxx>
Gryffus napsal(a):
Martin Vidner napsal(a):
On Wed, Feb 20, 2008 at 03:36:12AM +0100, Gryffus wrote:

3am... oh, you are _not_ from Hong Kong :-)

Yeah, i'm not :-) I'm from Czech Republic... Just like you and many
people a have seen here :P. But my day ends same as a day in Red Dragon
(rd2.cz) which is in 04:00 am :P
Thank all of you for answer... It is getting clear to me now...

Ok, so what yast and zypper version / repo should i use if i want bleeding edge y2 with most features (next-gen package solver, new layouts etc)? When i use the 0.9series of zypper, i cannot find a yast package which can work with it... I also have to recompile all modules? (or at least the wrong ones).

For the bleeding edge, use the current trunk of yast+zypp SVN or
whatever is the most bleeding experimental branch (recently they
have been merged to trunk, so trunk will give you all blood there
is). But be sure to follow yast-devel and zypp-devel.

Best regards and thanks again
Gryffus
Ok, so i tried to compile YaST from SVN and i got an error compiling trunk/core....
The error is:

Making all in ycp-ui
make[4]: Entering directory `/home/gryffus/yast-svn/trunk/core/libyui/src/ycp-ui'
make all-am
make[5]: Entering directory `/home/gryffus/yast-svn/trunk/core/libyui/src/ycp-ui'
CXXLD libpy2UI.la
/usr/lib/gcc/i586-suse-linux/4.3/../../../../i586-suse-linux/bin/ld: cannot find -lycp

Argh, that is a bug in SVN head, it is looking for a library that
has been just built and is not installed yet.
I have committed a fix.

Obviously we could use CruiseControl for yast too...

Oh gj. Thanx very much i will check if it builds now.

Regards
Gryffus
So, core has built, but now i have a problem with gtk - it cannot find an "ycp-ui/Y2CCUI.h"

make[2]: Entering directory `/home/gryffus/yast-svn/trunk/gtk/src'
CXX Y2CCGtk.lo
In file included from /usr/include/c++/4.3/ext/hash_map:64,
from /usr/include/YaST2/ycp/YCode.h:228,
from /usr/include/YaST2/ycp/YStatement.h:28,
from /usr/include/YaST2/ycp/ExecutionEnvironment.h:22,
from /usr/include/YaST2/ycp/y2log.h:16,
from Y2CCGtk.cc:7:
/usr/include/c++/4.3/backward/backward_warning.h:32:2: warning: #warning This file includes at least one deprecated or antiquated header which may be removed without further notice at a future date. Please use a non-deprecated interface with equivalent functionality instead. For a listing of replacement headers and interfaces, consult the file backward_warning.h. To disable this warning use -Wno-deprecated.
Y2CCGtk.cc:8:27: error: ycp-ui/Y2CCUI.h: No such file or directory
Y2CCGtk.cc:29: error: expected class-name before '{' token
Y2CCGtk.cc: In constructor 'Y2CCGtk::Y2CCGtk()':
Y2CCGtk.cc:31: error: class 'Y2CCGtk' does not have any field named 'Y2CCUI'
make[2]: *** [Y2CCGtk.lo] Error 1
make[2]: Leaving directory `/home/gryffus/yast-svn/trunk/gtk/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/gryffus/yast-svn/trunk/gtk'
make: *** [all] Error 2

What next? :-((
--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >